> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.conversive.ai/api-sdk-docs/validate-api-key/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.conversive.ai/_mcp/server. # Validate API Key GET https://api.beconversive.com/v1/api_key/validate Checks whether the provided API Key is valid. Reference: https://docs.conversive.ai/api-sdk-docs/validate-api-key ## Authentication - `apiKey` header (required) — API Key authentication via header ## Servers - `https://api.beconversive.com` (US Data Center, default) - `https://eu-api.beconversive.com` (EU Data Center) - `https://aus-api.beconversive.com` (Australia Data Center) ## Request ### Headers - `apiKey` (string, required) — Account’s API key. ## Response ### 200 Key valid ## Errors ### 401 Unauthorized Error Invalid API key - `any` ## Examples **Response** ```json { "status": "success" } ``` **SDK Code** ```python validateApiKey_example import requests url = "https://api.beconversive.com/v1/api_key/validate" headers = {"apiKey": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript validateApiKey_example const url = 'https://api.beconversive.com/v1/api_key/validate'; const options = {method: 'GET', headers: {apiKey: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go validateApiKey_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.beconversive.com/v1/api_key/validate" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("apiKey", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby validateApiKey_example require 'uri' require 'net/http' url = URI("https://api.beconversive.com/v1/api_key/validate") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["apiKey"] = '' response = http.request(request) puts response.read_body ``` ```java validateApiKey_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.beconversive.com/v1/api_key/validate") .header("apiKey", "") .asString(); ``` ```php validateApiKey_example request('GET', 'https://api.beconversive.com/v1/api_key/validate', [ 'headers' => [ 'apiKey' => '', ], ]); echo $response->getBody(); ``` ```csharp validateApiKey_example using RestSharp; var client = new RestClient("https://api.beconversive.com/v1/api_key/validate"); var request = new RestRequest(Method.GET); request.AddHeader("apiKey", ""); IRestResponse response = client.Execute(request); ``` ```swift validateApiKey_example import Foundation let headers = ["apiKey": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.beconversive.com/v1/api_key/validate")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```